View Issue Details

IDProjectCategoryView StatusLast Update
0005577SUMoNew Featurepublic2019-11-19 21:09
Reportertangofan Assigned ToKyle_Katarn  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPC (Ryzen 2700X)OSWindows 10 Pro x64OS Version1809
Product Version5.9.4 
Target Version5.9.9Fixed in Version5.9.9 
Summary0005577: TurboTax software keeping name, but changing major version number every year
DescriptionCertain kinds of software, most notably tax software release a new product every year, however they don't change the name, but only the main version number (see image upload for Turbo Tax).

For those kinds of software, SUMo should ideally use the main version number to differentiate different products and only the minor version numbers to check for the latest version. E.g. in the Turbo Tax example in the uploaded image, for Turbo Tax 2017 any version 2018.x.y.z should be irrelevant, it should only be checked against version 2017.x.y.z.
Additional InformationI understand that this would be hard to impossible to detect automatically, so perhaps this "behavior" is something that users could flag for specific programs and then could be stored in the main database.
TagsNo tags attached.

Relationships

related to 0005682 resolvedKyle_Katarn "WISO steuer:Start" and "WISO steuer:Sparbuch" have yearly specific product lines 
related to 0005760 assignedKyle_Katarn Wrong version reported for "tax by Buhl Data Service GmbH" 

Activities

tangofan

2019-07-12 20:45

reporter  

wolf

2019-07-12 22:32

reporter   ~0003546

This issue seems related to issue https://www.kcsoftwares.com/bugs/view.php?id=1783 . Kyle, please add the relation as neither tangofan nor I have the appropriate permissions (after issue creation).

As seen there and its related other issues, this symptom is not limited to tax software but happens to release policies of different products, product categories and software publishers.

Kyle_Katarn

2019-07-13 14:39

administrator   ~0003551

Not linked to 0001783 as this one is explicitely to be considered as a separate product.

Kyle_Katarn

2019-08-15 16:46

administrator  

image.png (5,982 bytes)
image.png (5,982 bytes)

Issue History

Date Modified Username Field Change
2019-07-12 20:45 tangofan New Issue
2019-07-12 20:45 tangofan File Added: 2019-07-12 Turbo Tax Multiple Years.jpg
2019-07-12 22:32 wolf Note Added: 0003546
2019-07-13 14:39 Kyle_Katarn Status new => acknowledged
2019-07-13 14:39 Kyle_Katarn Target Version => 5.10.x
2019-07-13 14:39 Kyle_Katarn Description Updated View Revisions
2019-07-13 14:39 Kyle_Katarn Note Added: 0003551
2019-08-15 16:46 Kyle_Katarn File Added: image.png
2019-08-15 16:47 Kyle_Katarn Target Version 5.10.x => 5.9.7
2019-08-28 09:27 Kyle_Katarn Target Version 5.9.7 => 5.9.8
2019-09-07 16:01 Kyle_Katarn Target Version 5.9.8 => 5.9.9
2019-09-21 15:46 Kyle_Katarn Assigned To => Kyle_Katarn
2019-09-21 15:46 Kyle_Katarn Status acknowledged => resolved
2019-09-21 15:46 Kyle_Katarn Resolution open => fixed
2019-09-21 15:46 Kyle_Katarn Fixed in Version => 5.9.9
2019-09-21 15:51 Kyle_Katarn Relationship added related to 0005682
2019-09-21 15:59 Kyle_Katarn Summary SUMo: (Tax) software keeping name, but changing major version number every year => TurboTax software keeping name, but changing major version number every year
2019-11-19 21:09 Kyle_Katarn Relationship added related to 0005760